Subject: Annexes, etc.

From: [email-masked] (Tom Henderson)
Date: Wed, 10 Mar 93 13:35:06 MST

Jon,

> My suggestion (which I expect to be roundly rejected) is 
> that the MPI document ONLY contain the stuff that is current
> practice. This includes EVERYTHING required to run at least
> a common class of programs - i.e., MPI_INIT or some such.
> 
> These things should be designed to maximize ease of use and
> learning and encourage portability.  By this I am including 
> performance level portability. I would like to not have
> things in the spec. that run well on some machines and 
> poorly on others. I would include a requirement that a
> conforming implementation include either documents or 
> (preferably) programs from which a user could assess 
> the performance of the various routines.
> 
> All the other things that are off-shoots of requirements 
> for odd-machines or otherwise more advanced should go in
> Appendices or "Annexes" (Ada notation(!)) ***AND WOULD NOT
> BE REQUIRED BY A CONFORMING IMPLEMENTATION OF MPI ***.

Would the MPIF make any commitment to including "Annex" features in future 
MPI versions?  Would there be any future MPI versions?  Would you mind 
providing a bit more detail on what you feel are a "common class of 
programs"?  (Gee, I don't ask for much...  :-)  

> If this concept is acceptable I would suggest that someone
> prepare a list of topics, in quite great detail, and we 
> all give them grades out of ten (via e-mail), just as 
> Lyndon did. Someone with experience with statistics 
> could analyze the results and give us weighted rankings
> at the next meeting. 

What level of detail do you have in mind?  Could you give an example?  I like 
this idea.  Hashing this out over e-mail could save us a lot of pointless 
wrangling at the next meeting.  

Tom

P.S.  Jon, my apologies for mis-spellings in previous messages!  :)